获取频道通话列表
更新时间不可用
获取符合指定条件的通话及其基本信息。
GET
https://api.sd-rtn.com/beta/analytics/call/lists鉴权
start_tsnumber必填
查询的时间范围起点。Unix 时间戳(秒)。
end_tsnumber必填
查询的时间范围终点。Unix 时间戳(秒)。
cnamestring频道名称
appidstring必填
你的项目使用的 App ID。
page_nonumber翻页序号。
page_sizenumber每页的用户通话数,最大不能超过 100。如果指定的值超过 100,每页的用户通话数最多仍为 100 个。
响应
OK
响应 Body
codenumber响应状态码。200 表示请求成功,详见响应状态码。
messagestring错误消息。
requestIdstring对应请求的 ID。
total_sizenumber返回的用户通话总数。
page_nonumber翻页序号。
page_sizenumber每页的用户通话数。
has_moreboolean是否还有通话未列出。
true:表示符合查询条件的通话没有在call_lists中全部列出。false:表示符合查询条件的通话已全部列出。 如果你要查找的通话未列出,请修改查询条件重新发送请求。
call_idstring通话 ID,即通话的唯一标识。
cnamestring频道名称。
created_tsnumber通话开始的时间。Unix 时间戳(秒)。
destroyed_tsnumberfinishedbooleancall_pcunumber通话级别峰值人数。
call_acunumbercall_audio_freeze_ratenumbercall_video_freeze_ratenumber请求示例
curl --request GET \
--url "https://api.sd-rtn.com/beta/analytics/call/lists?start_ts=1550024508&end_ts=1550025508&appid=string" \
--header 'Authorization: Basic <credentials>'响应示例
{
"code": 0,
"message": "string",
"requestId": "15c99xxxxxxxxxxx9be9b",
"total_size": 101,
"page_no": 1,
"page_size": 20,
"has_more": true,
"call_lists": [
{
"call_id": "cxxxxxxxxxxxxxxxxxxxx",
"cname": "cname1",
"created_ts": 1547448383,
"destroyed_ts": 1547448483,
"finished": true,
"call_pcu": 2,
"call_acu": 2,
"call_audio_freeze_rate": 0.12,
"call_video_freeze_rate": 0.07
}
]
}